--- nrpe-2.12/src/nrpe.c.orig	2011-03-07 00:08:59.000000000 +0000
+++ nrpe-2.12/src/nrpe.c	2011-03-07 00:09:03.000000000 +0000
@@ -42,7 +42,6 @@
 
 #define DEFAULT_COMMAND_TIMEOUT	60			/* default timeout for execution of plugins */
 #define MAXFD                   64
-#define NASTY_METACHARS         "|`&><'\"\\[]{};"
 
 char    *command_name=NULL;
 char    *macro_argv[MAX_COMMAND_ARGUMENTS];
@@ -79,6 +78,8 @@
 int     use_inetd=TRUE;
 int     debug=FALSE;
 
+char    *illegal_metachars="|`&><'\"\\[]{};";
+
 
 
 
@@ -512,6 +513,11 @@
 				syslog(LOG_WARNING,"Invalid log_facility specified in config file '%s' - Line %d\n",filename,line);
 			}
 
+                else if(!strcmp(varname,"illegal_metachars")) {
+                                illegal_metachars=strdup(varvalue);
+				syslog(LOG_INFO,"Using illegal meta characters '%s'\n",illegal_metachars);
+                        }
+
 		else{
 			syslog(LOG_WARNING,"Unknown option specified in config file '%s' - Line %d\n",filename,line);
 			continue;
@@ -1817,8 +1823,8 @@
 
 	if(str==NULL)
 		return FALSE;
-	
-	result=strcspn(str,NASTY_METACHARS);
+
+	result=strcspn(str,illegal_metachars);
 	if(result!=strlen(str))
 		return TRUE;
 
--- nrpe-2.12/sample-config/nrpe.cfg.in.orig	2011-03-07 00:14:42.000000000 +0000
+++ nrpe-2.12/sample-config/nrpe.cfg.in	2011-03-07 00:16:14.000000000 +0000
@@ -157,6 +157,13 @@
 #allow_weak_random_seed=1
 
 
+# ILLEGAL INPUT COMMAND AND ARGUMENT CHARACTERS
+# This option allows you to specify illegal characters that cannot
+# be passwd to the NRPE daemon
+
+illegal_metachars="|`&><'\"[]{};"
+
+
 
 # INCLUDE CONFIG FILE
 # This directive allows you to include definitions from an external config file.
